Bug 52493 - (several video adapters) character & color corruption in text mode
(several video adapters) character & color corruption in text mode
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-24 06:17 EDT by Warren Togami
Modified: 2007-04-18 12:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-20 07:02:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lspci -vv (7.18 KB, text/plain)
2001-08-24 06:23 EDT, Warren Togami
no flags Details

  None (edit)
Description Warren Togami 2001-08-24 06:17:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
I see minor character corruption in text virtual terminals.  It works fine 
95% of the time, but sometimes about 20-40 characters on the screen are 
replaced by other characters in all kinds of strange colors, leaving all 
other characters unaffected.

Whenever I switch back from or kill X, the text terminal is VERY 
scrambled, sometimes up to 50% screwed up characters and colors.

Sometimes the corruption is seemingly random, and other times definite 
patterns, crop circles and pentagrams can be seen.  (Joking about crop 
circles and pentagrams.)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Use any programs in a text virtual terminal, especially programs with 
color and scrolling.
-or-
Run X and go back to the terminal.


Actual Results:  Random character and/or color corruption.
-or-
Patterns of character and/or color corruption.

Expected Results:  No screen corruption.

Additional info:

HP Pavillion n5470 Notebook
http://notebooks.hp-at-home.com/products/notebooks/specifications.php?
modelNumber=n5470
http://www.douglasstewart.com/n5470.html
(very similar notebook)
http://www.deater.net/john/PavilionN5430.html
Comment 1 Warren Togami 2001-08-24 06:23:32 EDT
Created attachment 29351 [details]
lspci -vv
Comment 2 Warren Togami 2001-08-24 07:17:06 EDT
Harald Hoyer and Mike Harris have reproduced the "switch from X" screen 
corruption with Voodoo3.
Comment 3 Glen Foster 2001-08-24 11:54:06 EDT
We (Red Hat) should try to fix this before next release.
Comment 4 Warren Togami 2002-09-20 07:02:43 EDT
I no longer have access to this particular laptop, though I think this has been
fixed a long time ago.  Anyone know?

Note You need to log in before you can comment on or make changes to this bug.